Subject: Re: [PATCH] net: 9p: free what was emitted when read count is 0

From: Jisheng Zhang <[email-masked]>
Date: Tue, 2 Mar 2021 17:22:06 +0800

On Tue, 2 Mar 2021 17:08:13 +0900 Dominique Martinet wrote:

> 
> 
> Jisheng Zhang wrote on Tue, Mar 02, 2021 at 03:39:40PM +0800:
> > > Rather than make an exception for 0, how about just removing the if as
> > > follow ?  
> >
> > IMHO, we may need to keep the "if" in current logic. When count
> > reaches zero, we need to break the "while(iov_iter_count(to))" loop, so removing
> > the "if" modifying the logic.  
> 
> We're not looking at the same loop, the break will happen properly

I was reading the old code because I switched to linux-5.4 longterm tree
for other development ;)

> without the if because it's the return value of p9_client_read_once()
> now.
> 
> In the old code I remember what you're saying and it makes sense, I
> guess that was the reason for the special case.
> It's not longer required, let's remove it.

Thank you. patch v2 is sent out.